Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Should I Up date my old cable

  1. #1
    Verified VCDS User
    Join Date
    May 2014
    Location
    Australia
    Posts
    5
    Post Thanks / Like

    Should I Up date my old cable

    Hi

    One of my first posts.

    I'm looking for advice as to whether I should or if I need to up date to the latest Ross-Tech cable. My cable is about 10 years old but still works great. Does the new tool do anything the old one cant do?

    Thanks in advance and apologise if I posted in the wrong area for my question .

    Cheers
    Ron

  2. #2
    Verified VCDS User PetrolDave's Avatar
    Join Date
    Dec 2014
    Location
    South Molton, UK
    Posts
    2,336
    Post Thanks / Like
    Quote Originally Posted by Ron View Post
    I'm looking for advice as to whether I should or if I need to up date to the latest Ross-Tech cable. My cable is about 10 years old but still works great. Does the new tool do anything the old one cant do?
    If/when you buy a 2019 or later vehicle then you will need either a HEX-V2 or HEX-NET cable (VAG changed so much that it no longer possible to make the older cables such as HEX-CAN work with just software/firmware updates).

    The newer cables are needed with some modules built from 2016 onwards as they use messages that are longer than the older cables can handle.

    The newer cables also scan much faster.

    So if your cable works fine with your current vehicle then there's no need to update (but you might like to), but when you change to a newer vehicle then it's quite likely you will benefit from or need a newer cable.

  3. Likes Uwe, jyoung8607, Dana, myounus liked this post
  4. #3
    Benevolent Dictator Uwe's Avatar
    Join Date
    Jan 2014
    Location
    Earth
    Posts
    24,564
    Post Thanks / Like
    Blog Entries
    1
    As Dave stated in the post above, it very much depends on what vehicle(s) you're working on. Starting at about MY 2015, there are some Adaptation channels in some infotainment systems that the HEX+CAN won't be able to change. Starting at MY 2016 (RDW) and 2017 (NAR), there are some control modules in some models of cars that the HEX+CAN can't access at all. And last, but not least, MY 2019 and newer cars are not supported with the HEX+CAN at all.

    -Uwe-
    The engineering problems are likely insurmountable. It would be like proposing to land a rocket booster section on a barge floating in the middle of the ocean.

  5. Likes PetrolDave, Dana liked this post
  6. #4
    Verified VCDS User
    Join Date
    May 2014
    Location
    Australia
    Posts
    5
    Post Thanks / Like
    Hi, Thanks for the advice guys, I use it in my business so it may be a good idea to up date...... better to have it and not need it yet than not having it and needing it

  7. Likes Uwe, PetrolDave, Dana, myounus liked this post
  8. #5
    Verified VCDS User RUZDO.O's Avatar
    Join Date
    Feb 2014
    Location
    Podgorica - MNE
    Posts
    11
    Post Thanks / Like
    Does Ross-Tech work to improve: adaptations, coding, basic settings, block measurements, and so on, for cars below 2016?
    What I'm asking is that few people will service with a vcds car from 2016 - 2019, when they have a factory warranty.

  9. Likes Boki Ar liked this post
  10. #6
    VCDS Distributor Boki Ar's Avatar
    Join Date
    Oct 2014
    Location
    Arandjelovac, Serbia
    Posts
    1,122
    Post Thanks / Like

    Arrow

    Dear Ruzdo.O, as I know, Ross-Tech work on this job every single day.

  11. Likes Uwe, myounus, Dana liked this post
  12. #7
    Verified VCDS User
    Join Date
    Oct 2017
    Location
    Northwest UK
    Posts
    602
    Post Thanks / Like
    Hi Ron

    I updated mine and love the V2. VCDS is by far the best tool.

  13. #8
    Verified VCDS User RUZDO.O's Avatar
    Join Date
    Feb 2014
    Location
    Podgorica - MNE
    Posts
    11
    Post Thanks / Like
    The German version of the PCI vcds distributor restricted the use of HEX-CAN with version 17.8.1. Which is the English version of vcds latest for HEX - CAN. Why add a new version of vcds when the new data is not recognized by HEX - CAN.

  14. #9
    Benevolent Dictator Uwe's Avatar
    Join Date
    Jan 2014
    Location
    Earth
    Posts
    24,564
    Post Thanks / Like
    Blog Entries
    1
    Quote Originally Posted by RUZDO.O View Post
    The German version of the PCI vcds distributor restricted the use of HEX-CAN with version 17.8.1.
    Huh? Please explain what you mean. There has been nothing that worked before restricted in any new version. Moreover, a distributor simply does not have the ability to do that.

    -Uwe-
    The engineering problems are likely insurmountable. It would be like proposing to land a rocket booster section on a barge floating in the middle of the ocean.

  15. #10
    Verified VCDS User RUZDO.O's Avatar
    Join Date
    Feb 2014
    Location
    Podgorica - MNE
    Posts
    11
    Post Thanks / Like

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •